
public class CarDatabaseDemo {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		CarDatabase db = new CarDatabase();

		System.out.println("Cars listed by year ASCENDING");
		db.printByYear(true);
		
		System.out.println("Cars listed by year DESCENDING");
		db.printByYear(false);
		
		System.out.println("Cars listed by model ASCENDING");
		db.printByModel(true);
		
		System.out.println("Cars listed by model DESCENDING");
		db.printByModel(false);
		
		System.out.println("Cars listed by license plate ASCENDING");
		db.printByLicense(true);
		
		System.out.println("Cars listed by license plate DESCENDING");
		db.printByLicense(false);
		
		// A custom sorting
		CarDatabase.CustomCarComparator ccc = db.getCustomCarComparator();
		ccc.addField(CarDatabase.Field.year, true);
		ccc.addField(CarDatabase.Field.model, true);
		System.out.println("Cars listed by year and model");
		db.printCustomized(ccc);
	}

}
